function h = lsline(g)
x=g.XData';
y=g.YData';
results=myols(y,x,1,0);
beta=results.beta;
st=results.std;
xx=sort(x);
one=ones(size(xx));
newy=[one,xx]*beta;
hold on
plot(xx,newy,'--r')
gca
text(xx(end),newy(end),['\bf{ $\raisebox{0.5em}{y}={',num2str(beta(1),2),'\atop(', num2str(st(1),2),')}\raisebox{0.5em}{+}{',num2str(beta(2),2),...
    '\atop(',num2str(st(2),2),')} \raisebox{0.5em}{x}  $}'],'Interpreter','latex','FontSize',14,'FontWeight','bold');
hold off
end
